Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 13:50:15 +0000

Hi Apoorv Joshi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I made an order #6295213406, I've got a message on April 12th 18:53 that the order is ready to be picked from the chosen store. I went 21:30 and I'd collected it successfully. However, the size was small, I asked the employee to return it back and he advised to go to centerPoint branch as this can not be done at Splash for online orders.
I went to centerpoint branch, and i was treated as a THIEF since the system was not updated, I spent over 30 minutes in investigations how I got an item without being registered on the system?!! 

Luckily, I had explained to the branch manager the situation several times then he released me.

I called the costumer service several times on 2 continuous days and no help, just you have to wait until the system automatically updates. The joke was when I requested to call a senior or manager, but unfortunately been told literally that no one is on duty "I advise you to check their daily bunch as they don't exist for 2 days :".
And I can tell another one, that the price on the received item is much lower than the one I'd purchased. 
This is very unprofessional with an unforgettable experience caused by negligence being treated in front of your family and your 3 years old child + strangers as a THIEF. But really I hope that they had called the police as been told so I had a document to sue you and get the deserved compensation!!!

I hope that this complaint success to grab someone's attention for a corrective action ASAP.

Ahmed ElSayed
+966590837669
[email-masked] https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2400796